# Uses of Class
org.eclipse.ecf.core.sharedobject.SharedObjectInitException

Packages that use SharedObjectInitException
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.remoteservice.generic

## Uses of SharedObjectInitException in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that throw SharedObjectInitException
Modifier and Type
Method
Description
`final void`
BaseSharedObject.`init(ISharedObjectConfig initData)`
`void`
ISharedObject.`init(ISharedObjectConfig initData)`
Initialize this ISharedObject.
`protected void`
BaseSharedObject.`initialize()`
Initialize this shared object.
`protected void`
OptimisticSharedObject.`initialize()`
`protected void`
TransactionSharedObject.`initialize()`

## Uses of SharedObjectInitException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw SharedObjectInitException
Modifier and Type
Method
Description
`protected void`
SOWrapper.`init()`

## Uses of SharedObjectInitException in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that throw SharedObjectInitException
Modifier and Type
Method
Description
`void`
RegistrySharedObject.`initialize()`